{pkgs, ...}: let
  inherit (pkgs.stdenv.hostPlatform) isLinux;
  systemSpecificPackages = with pkgs;
    if isLinux
    # ncdu (well, all zig packages) don't work on macOS nix right now
    then [zsh racket mold ncdu]
    else [keka colima neovide aerospace];
in {
  imports = [
    ./git.nix
    ./mise.nix
    ./neovim.nix
    ./ssh.nix
    ./starship.nix
    ./zellij.nix
    ./zsh.nix
  ];
  home.packages = with pkgs;
    [
      _1password-cli
      # bandwhich
      bat
      bottom
      cargo-workspaces
      clipboard-jh
      curl
      departure-mono
      docker-client
      dogedns
      erdtree
      erg
      emacs
      fantasque-sans-mono
      fd
      (fenix.latest.withComponents ["cargo" "clippy" "rustfmt" "rust-src" "rustc"])
      ffmpeg_6
      gawkInteractive
      gnugrep
      gnused
      gnutar
      gping
      gql
      httpstat
      imagemagick
      inshellisense
      internetarchive
      jless
      jq
      just
      kondo
      litecli
      magic-wormhole-rs
      maple-mono-NF
      martian-mono
      page
      pandoc
      parallel
      pdm
      picocrypt
      picocrypt-cli
      python312Packages.pipx
      # poetry
      rage
      ripgrep
      rsync
      rust-analyzer-nightly # part of the fenix distribution/overlay
      scriptisto
      see-cat
      sqlite
      tmux
      # vscode-fhs
      vale
      python312Packages.yt-dlp
      zenith
      # zoom-us
      zstd
    ]
    ++ systemSpecificPackages;
}
